@import 'font.scss';
// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide {
    from {filter: grayscale(1);}
    to {filter: grayscale(0);}
    // to {filter: grayscale(0) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 10px yellow );}
};
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow {
    // from {filter: grayscale(0) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 10px yellow );}
    from {filter: grayscale(0);}
    to {filter: grayscale(1);}
};

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

@keyframes ani_jump {
    0% {
        transform: translate3d( 0 , 0 , 0);
    }
    100% {
        transform: translate3d( 0 ,-10px , 0);
    }
};
a{
    cursor: pointer;
}

// global class
.text{
    &--blue{
        color: #2fa0ff;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    width: 980px;
    margin: 0 auto;
    &--home{
        height: 650px!important;
    }
    &--soul{
        background: top center no-repeat url(./../static/images/bg_soul.png)!important;
        height: 518px!important;
    }
    &--promotion{
        // margin-top: 50px!important;
        background: top center no-repeat url(./../static/images/bg_snakeladder.png)!important;
        height: auto!important;
    }
    &--history{
        background: top center no-repeat url(./../static/images/bg_history.png)!important;
        height: 518px!important;
        &:after{
            content: '';
            background: top center no-repeat url(./../static/images/bg_bottomHistory.png);
            display: block;
            width: 100%;
            height: 503px;
            position: absolute;
            bottom: 0;
            left: 0;
        }
    }
    &--senditem{
        background: top center no-repeat url(./../static/images/bg_senditem.png)!important;
        height: 1253px!important;
        &:before, &:after{
            content: '';
            display: block;
            width: 100%;
            position: absolute;
        }
        &:before{
            background: top right no-repeat url(./../static/images/bg_topSenditem.png);
            height: 418px;
            top: -140px;
            right: 0;
        }
        &:after{
            background: top center no-repeat url(./../static/images/bg_bottomSenditem.png);
            height: 882px;
            bottom: 0;
            left: 0;
        }
    }
    &--random{
        background: top center no-repeat url(./../static/images/bg_contentrandom.png)!important;
        width: 100%;
        margin-top: 130px!important;
        height: 548px!important;
    }
}
.bg-bottom{
    background: url("./../static/images/bg_bottom.png") no-repeat top center;
    width: 1105px;
    height: 580px;
    position: absolute;
    bottom: 0;
    &--snakeladders{
        background-image: url(./../static/images/bg_bottomEvent.png);
        height: 470px;
    }
    &--1,&--3,&--6,&--9 {
        background-image: none;
    }
    &--2 {
        background-image: url(./../static/images/bg_bottomPromotion2.png);
        height: 558px;
    }
    &--4 {
        background-image: url(./../static/images/bg_bottomPromotion4.png);
        height: 570px;
    }
    &--5 {
        background-image: url(./../static/images/bg_bottomPromotion5.png);
        height: 571px;
    }
    &--7 {
        background-image: url(./../static/images/bg_bottomPromotion7.png);
        height: 517px;
    }
    &--8 {
        background-image: url(./../static/images/bg_bottomPromotion8.png);
        height: 600px;
    }
}
.section{
    &__head {
        margin-top: -30px;
        margin-bottom: 50px;
        text-align: center;
        z-index: 2;
        position: relative;
        & h3{
            padding: 25px 30px;
            display: inline-block;
            border-radius: 30px;
            margin: 0 auto;
            color: #fff;
            text-shadow: 0 1px 5px #f87778;
            font-size: 22px;
            width: 350px;
            background: url(./../static/images/bg_heading.png) no-repeat center center;
        }
        &--clearitem{
            margin-bottom: 9px;
        }
        &--senditem{
            margin-bottom: 0;
        }
        &--random{
            margin-bottom: -3px;
        }
    }
    &__content{
        // padding: 0 150px;
        color: #fff;
        margin: 0 auto;
        &--home{
            width: 65%!important;
        }
        &--soul{
            width: 70%;
            position: relative;
            z-index: 1;
        }
        &--clearitem{
            width: 82%;
            overflow: auto;
        }
        &--promotion{
            width: 80%;
        }
        &--history{
            position: relative;
            z-index: 1;
        }
    }
    &__btn{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 42px;
        &--senditem{
            display: flex;
            justify-content: center;
            align-items: center;
            z-index: 1;
            bottom: 20px;
        }
        &--random{
            @extend .section__btn--senditem;
            bottom: 5px;
        }
    }
}
// .btns {
//     &__normal {
//         background:url("../static/images/btn_normal.png")top center no-repeat;
//         width:330px;
//         height:67px;
//         display:flex;
//         line-height: 1em;
//         align-items:center;
//         justify-content: center;
//         margin:33px auto;
//         text-align:center;
//         color:#ffd6be;
//         cursor: pointer;
//         -webkit-filter: grayscale(0); /* Safari 6.0 - 9.0 */
//         filter: grayscale(0);
//         font-size: 19px;
//         span {
//             font-size:.8em;
//         }
//         &:hover , &:focus {
//            opacity: 0.8;
//         }
//         &.received,
//         &.disabled {
//             background:url("../static/images/btn_disable.png")top center no-repeat;
//             pointer-events: none;
//             -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
//             filter: grayscale(100%);
//         }
//     }
// }


.btn{
    font-family: 'Kanit', sans-serif;
    cursor: pointer;
    &:focus{
        outline: none;
    }
}
img{
    max-width: 100%;
}
//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    //height:3365px;
    background-color: #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &:nth-of-type(2){
            .container{
                margin-top: 50px;
                background-image: url(./../static/images/bg_snakeladder.png);
                height: auto;
            }
            .section__content{
                width: 80%;
            }
        }
        &--header {
            height: 800px;
        }
    }
    & .preorder-inner{
        background: no-repeat top center url(../static/images/bg.jpg) #1a1a1a;
        width: 1105px;
        margin: 0 auto;
        position: relative;
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 65px;
        & img{
            animation: mover 1s infinite alternate;
        }
    }
    & .btn-promotion{
        background-color: #000027;
        border: 2px solid #fff;
        padding: 7px 25px;
        color: #fff;
        border-radius: 50px;
        font-size: 26px;
        position: absolute;
        bottom: 200px;
        left: 0;
        right: 0;
        margin: auto;
        width: 27%;
        text-align: center;
        text-decoration: none;
        z-index: 99;
        &:hover{
            background-color: #f87778;
        }
    }
}

//section condition
.condition {
    &__text {
        padding-left: 30px;
        li {
            list-style-type: decimal;
        }
    }
    & .container{
        background: url("./../static/images/bg_condition.png") no-repeat top center;
        height: 700px;
    }
    & .section__content{
       color:#000;
    }
}

//soul page
.page{
    &__wrapper{
        background: url("./../static/images/bg_inner.jpg") no-repeat top center;
        width: 1105px;
        min-height: 700px;
        margin: 0 auto;
        position: relative;
        overflow: hidden;
        & .container{
            background: url("./../static/images/bg_clearItem.png") no-repeat top center;
            height: 450px;
            margin-top: 165px;
        }
        &--promotion1{
            background-image: url(./../static/images/bg_promotion1.jpg);
            & .container{
                margin-top: 720px;
            }
        }
        &--promotion2{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion2.jpg);
        }
        &--promotion3{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion3.jpg);
        }
        &--promotion4{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion4.jpg);
        }
        &--promotion5{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion5.jpg);
        }
        &--promotion6{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion6.jpg);
        }
        &--promotion7{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion7.jpg);
        }
        &--promotion8{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion8.jpg);
        }
        &--promotion9{
            @extend .page__wrapper--promotion1;
            background-image: url(./../static/images/bg_promotion9.jpg);
        }
        &--random{
            background-image: url(./../static/images/bg_random.jpg);
        }
    }
}
.soul{
    &::after{
        content: '';
        background: url("./../static/images/house.png") no-repeat top center;
        width: 1105px;
        height: 546px;
        display: block;
        position: absolute;
        left:0;
        bottom: 0;
    }
    &__items{
        width:39.4%;
        float: left;
        text-align: center;
        &:last-child{
            float: right;
        }
        &--img{
            background: url("./../static/images/bg_ball.png") no-repeat top center;
            padding: 30px 10px 10px;
        }
        &--text{
            // min-height: 90px;
            font-size: 18px;
            font-weight: normal;
            text-shadow: 3px 0 #6c4e3a, -3px 0 #6c4e3a, 0 3px #6c4e3a, 0 -3px #6c4e3a, 2px 2px #6c4e3a, -2px -2px #6c4e3a, -2px 2px #6c4e3a, 2px -2px #6c4e3a;
            margin: 10px auto;
        }
    }
    &__img{
        background: top center no-repeat url(./../static/images/bg_imgitem.png);
        padding: 8px;
        & > img{
            display: block;
            margin: 0 auto;
        }
    }
    &__btn{
        background: top center no-repeat url(./../static/images/buttons/btn.png);
        display: block;
        width: 153px;
        height: 45px;
        margin: 15px auto;
        text-align: center;
        display: table;
        color: #000;
        text-decoration: none;
        &:hover{
            background-position: 0 -45px;
        }
        & > *{
            display: table-cell;
            vertical-align: middle;
            line-height: 1;
        }
    }
}

.btn-default{
    // background-color: #f47260;
    // color:#fff;
    // border: 3px solid #fff;
    // display: inline-block;
    // padding: 7px 20px;
    // border-radius: 50px;
    // font-size: 20px;
    // min-width: 150px;
    // text-align: center;
    // margin: 0 15px;
    // cursor: pointer;
    // text-decoration: none;
    // &:hover{
    //     background-color: #ff5c45;
    // }
    background: top center no-repeat url(./../static/images/buttons/btn.png);
    display: block;
    width: 153px;
    height: 45px;
    margin: 0 20px;
    text-align: center;
    display: table;
    color: #fff;
    text-shadow: 0 0 2px #000;
    text-decoration: none;
    &:hover{
        background-position: 0 -45px;
    }
    &.inactive {
        filter: grayscale(1);
        cursor: no-drop;
    }
    & > *{
        display: table-cell;
        vertical-align: middle;
        line-height: 1;
    }
    &.inactive {
        filter: grayscale(1);
        cursor: no-drop;
    }
}

// redeem page
.count{
    display: inline-block;
    background-color: #b16459;
    padding: 0px 10px;
    vertical-align: middle;
    border-radius: 5px;
    font-size: 28px;
    margin: 0 5px 0 30px;
}
body ::-webkit-scrollbar {
    width: 5px;
}
body ::-webkit-scrollbar-track {
    background-color: #ffa197;
}
body ::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background:  #c78881;
}
.items{
    &__wrapper{
        width: auto;
        padding: 0 50px;
        &--center{
            display: inline-block;
            margin: 0 auto;
            width: 46%;
            position: relative;
            padding: 0 2% 2%;
        }
        &--left,
        &--right{
            display: inline-block;
            width: 46%;
            // float: left;
            position: relative;
            padding: 0 2% 2%;
        }
        &--rightInner,
        &--leftInner{
            height: 300px;
            overflow-y: auto;
        }
    }
}
.items__pieces{
    &--left{
        display: inline-block;
        vertical-align: middle;
    }
    &--right{
        display: inline-block;
        vertical-align: middle;
    }
}
.btn-plus,
.btn-minus{
    font-size: 42px;
    line-height: 36px;
    padding: 3px 12px;
    border-radius: 5px;
    border: 0;
    font-family: 'Kanit', sans-serif;
    vertical-align: middle;
    margin: 0 5px;
}
.btn-plus{
    background: rgb(255,255,255);
    background: -moz-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#b4b4b4",GradientType=1);
}
.btn-minus{
    background: rgb(240,0,4);
    background: -moz-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: -webkit-radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    background: radial-gradient(circle, rgba(240,0,4,1) 0%, rgba(177,0,2,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#f00004",endColorstr="#b10002",GradientType=1);
    color: #fff;
}
.line::after{
    content: '';
    border-right: 5px solid #fff;
    position: absolute;
    right: 0;
    top: 0;
    height: 438px;
    margin-top: -58px;

}

//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }

    }
}


// Menu
.left__menu{
    & .menu-icon{
        margin: 20px 0 0 20px;
        display: inline-block;
        cursor: pointer;
    }
    & .menu-close{
        position: absolute;
        top: 10px;
        right: 15px;
        cursor: pointer;
        &__icon {
            display: block;
            width: 20px;
            height: 20px;
            &::before,
            &::after{
                position: absolute;
                top: 50%;
                left: 50%;
                content: ' ';
                height: 25px;
                width: 3px;
                background-color: #fff;
            }
            &:before{
                transform: translate3d(-50%,-50%,0) rotate(45deg);
            }
            &::after{
                transform: translate3d(-50%,-50%,0) rotate(-45deg);
            }
        }
    }
    &--list{
        position: absolute;
        top: 0;
        z-index: 999;
        left: -1000px;
        width: 250px;
        background: #213976;
        padding: 100px 30px;
        height: 100vh;
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        transition: all 0.3s ease;
        &.show{
            left: 0;
        }
        & a {
            text-decoration: none;
            color: #fff;
            font-size: 18px;
            display: block;
            padding: 5px 0;
            &:hover{
                color: #000;
            }
        }
    }
    & .bg-overlay{
        background-color: rgba(0,0,0,0.9);
        position: absolute;
        left: 0;
        right: 0;
        width: 100%;
        bottom: 0;
        top: 0;
        z-index: 9;
        display: none;
        &.show{
            display: block;
        }
    }
}

.content__scroll{
    height: 330px;
    overflow-y: auto;
}

.clearitem{
    color: #735442;
    &__wrap{
        float: left;
        &--right{
            float: right;
        }
    }
    &__table{
        background: top center no-repeat url(./../static/images/bg_headClearItem.png);
        width: 508px;
        height: 54px;
        display: table;
        text-align: center;
        & > div{
            display: table-cell;
            vertical-align: middle;
        }
        &--body{
            background-image: url(./../static/images/bg_bodyClearItem.png);
            height: 238px;
            margin-top: 15px;
            .clearitem__txt:first-child, .clearitem__txt:nth-child(2){
                text-align: left;
            }
        }
    }
    &__wraptxt{
        margin: 15px auto;
    }
    &__txt{
        display: inline-block;
        vertical-align: middle;
        &:first-child{
            width: 35%;
        }
        &:nth-child(2){
            width: 43%;
        }
        &:last-child{
            width: 22%;
        }
        & > span{
            padding: 0 24.8px;
        }
    }
    &__status{
        width: 24px;
        height: 24px;
        margin: 0 auto;
        background: #6c4e3a;
        border-radius: 50%;
    }
    &__boxnum{
        background: top center no-repeat url(./../static/images/bg_numItem.png);
        width: 260px;
        height: 147px;
        text-align: center;
        display: table;
        &:first-child{
            margin-bottom: 13px;
        }
        & > div{
            display: table-cell;
            vertical-align: middle;
        }
    }
    &__txtnum{
        font-weight: bold;
        font-size: 1.1em;
        &--num{
            position: relative;
            font-size: 1.6em;
            margin: 0.4em auto;
            &.used:before {
                content: "*ใช้ไปแล้ว*";
                color: #FF0000;
                font-size: 16px;
                position: absolute;;
                top: -1em;
                left: 0px;
                display: block;
                width: 100%;
                text-align: center;
            }
        }

    }
}

.snakeladder{
    padding: 20px 0 150px;
    position: relative;
    z-index: 2;
    &__charactor{
        position: absolute;
        // top: -55px;
        // left: 30px;
        z-index: 10;
        width: 85px;
        height: 85px;
        img {
            position: absolute;
            bottom: 0px;
            left: 0px;
        }
        .charactor.animation {
          animation-name: ani_jump;
          animation-duration: 0.25s;
          animation-iteration-count: infinite;
          animation-direction: alternate;
          animation-timing-function: linear;
          // animation-fill-mode: backwards ;
          animation-fill-mode: forwards;
      }
    }
    &__rewardboxs{
        position: absolute;
        top: 0px;
        left: 0px;
        display: block;
        width: 100%;
        height: 100%;
    }
    &__rewardbox{
        position: absolute;
        display: block;
        width: 50px;
        height: 43px;
        &--detail {
            width: 161px !important;
            height: 208px !important;
            z-index: 20;
            pointer-events: none;
            user-select: none;
            img {
                display: block;
                transform: translate3d(-95px,-208px,0);
            }
        }
        // background: no-repeat center url('./../static/images/icon_rewardbox.png');

        &--0    { top:   95px; left: 101px; }
        &--1    { top:   95px; left: 225px; }
        &--2    { top:   95px; left: 343px; }
        &--3    { top:  100px; left: 464px; }
        &--4    { top:  101px; left: 585px; }
        &--5    { top:  101px; left: 707px; }
        &--6    { top:  241px; left: 707px; }
        &--7    { top:  382px; left: 707px; }
        &--8    { top:  523px; left: 707px; }
        &--9    { top:  664px; left: 707px; }
        &--10   { top:  805px; left: 707px; }
        &--11   { top:  946px; left: 707px; }
        &--12   { top: 1086px; left: 707px; }
        &--13   { top: 1226px; left: 707px; }
        &--14   { top: 1368px; left: 707px; }
        &--15   { top: 1508px; left: 707px; }
        &--16   { top: 1650px; left: 707px; }
        &--17   { top: 1791px; left: 707px; }
        &--18   { top: 1931px; left: 707px; }
        &--19   { top: 2072px; left: 707px; }
        &--20   { top: 2213px; left: 707px; }
        &--21   { top: 2354px; left: 707px; }
        &--22   { top: 2354px; left: 585px; }
        &--23   { top: 2213px; left: 585px; }
        &--24   { top: 2072px; left: 585px; }
        &--25   { top: 1931px; left: 585px; }
        &--26   { top: 1791px; left: 585px; }
        &--27   { top: 1650px; left: 585px; }
        &--28   { top: 1508px; left: 585px; }
        &--29   { top: 1368px; left: 585px; }
        &--30   { top: 1226px; left: 585px; }
        &--31   { top: 1086px; left: 585px; }
        &--32   { top:  946px; left: 585px; }
        &--33   { top:  805px; left: 585px; }
        &--34   { top:  664px; left: 585px; }
        &--35   { top:  523px; left: 585px; }
        &--36   { top:  382px; left: 585px; }
        &--37   { top:  241px; left: 585px; }
        &--38   { top:  241px; left: 464px; }
        &--39   { top:  382px; left: 464px; }
        &--40   { top:  523px; left: 464px; }
        &--41   { top:  664px; left: 464px; }
        &--42   { top:  805px; left: 464px; }
        &--43   { top:  946px; left: 464px; }
        &--44   { top: 1086px; left: 464px; }
        &--45   { top: 1226px; left: 464px; }
        &--46   { top: 1368px; left: 464px; }
        &--47   { top: 1508px; left: 464px; }
        &--48   { top: 1650px; left: 464px; }
        &--49   { top: 1791px; left: 464px; }
        &--50   { top: 1931px; left: 464px; }
        &--51   { top: 2072px; left: 464px; }
        &--52   { top: 2213px; left: 464px; }
        &--53   { top: 2354px; left: 464px; }
        &--54   { top: 2354px; left: 343px; }
        &--55   { top: 2213px; left: 343px; }
        &--56   { top: 2072px; left: 343px; }
        &--57   { top: 1931px; left: 343px; }
        &--58   { top: 1791px; left: 343px; }
        &--59   { top: 1650px; left: 343px; }
        &--60   { top: 1508px; left: 343px; }
        &--61   { top: 1368px; left: 343px; }
        &--62   { top: 1226px; left: 343px; }
        &--63   { top: 1086px; left: 343px; }
        // &--64   { top:  101px; left: 343px; }
        &--64   { top:  946px; left: 343px; }
        &--65   { top:  805px; left: 343px; }
        &--66   { top:  664px; left: 343px; }
        &--67   { top:  523px; left: 343px; }
        &--68   { top:  382px; left: 343px; }
        &--69   { top:  241px; left: 343px; }
        &--70   { top:  241px; left: 225px; }
        &--71   { top:  382px; left: 225px; }
        &--72   { top:  523px; left: 225px; }
        &--73   { top:  664px; left: 225px; }
        &--74   { top:  805px; left: 225px; }
        &--75   { top:  946px; left: 225px; }
        &--76   { top: 1086px; left: 225px; }
        &--77   { top: 1226px; left: 225px; }
        &--78   { top: 1368px; left: 225px; }
        &--79   { top: 1508px; left: 225px; }
        &--80   { top: 1650px; left: 225px; }
        &--81   { top: 1791px; left: 225px; }
        &--82   { top: 1931px; left: 225px; }
        &--83   { top: 2072px; left: 225px; }
        &--84   { top: 2213px; left: 225px; }
        &--85   { top: 2354px; left: 225px; }
        &--86   { top: 2354px; left: 101px; }
        &--87   { top: 2213px; left: 101px; }
        &--88   { top: 2072px; left: 101px; }
        &--89   { top: 1931px; left: 101px; }
        &--90   { top: 1791px; left: 101px; }
        &--91   { top: 1650px; left: 101px; }
        &--92   { top: 1508px; left: 101px; }
        &--93   { top: 1368px; left: 101px; }
        &--94   { top: 1226px; left: 101px; }
        &--95   { top: 1086px; left: 101px; }
        &--96   { top:  946px; left: 101px; }
        &--97   { top:  805px; left: 101px; }
        &--98   { top:  664px; left: 101px; }
        &--99   { top:  523px; left: 101px; }
        &--100  { top:  382px; left: 101px; }
        // &:hover .snakeladder__datareward{
        //     display: block;
        //     z-index: 20;
        // }
    }
    &__datareward{
        background: top center no-repeat url(./../static/images/bg_popup.png);
        width: 161px;
        height: 184px; //calc(208px - 24px);
        padding-bottom: 24px;
        text-align: center;
        display: block;
        position: absolute;
        z-index: 2;
        transform: translate3d(-95px, -100%, 0px);
        text-align: center;
        img{
            display: block;
            margin: 30px auto 10px;
        }
    }
    &__wrapbtnrolldice{
        position: absolute;
        top: 7%;
        left: -15%;
        z-index: 2;
        &--fixed{
            position: fixed;
            top: 50%;
            left: 43px;

        }
    }
    &__btnrolldice{
        display: block;
        width: 139px;
        height: 142px;
        background: top center no-repeat url(./../static/images/buttons/btn_rollDice.png);
        &:hover{
            background-position: 0 -142px;
        }
        img{
            display: block;
        }
        &--diamond{
            background-image: url(./../static/images/buttons/btn_rollDice2.png);
        }
        &--cancel{
            background-image: url(./../static/images/buttons/btn_cancel_rollDice.png);
        }
    }
}

//history page
.history{
    &__list{
        & li{
            padding: 0 10px;
            &::after {
                content: "";
                display: block;
                clear: both;
            }
        }
        &--left{
            float: left;
        }
        &--right{
            float: right;
        }
        &--wrap{
            width: 60%;
            margin: 0 auto;
        }
    }
}

// .dice{
//     position: fixed;
//     top: 0;
//     left: 0;
//     width: 100%;
//     height: 100%;
//     text-align: center;
//     background: rgba(0,0,0,0.8);
//     z-index: 3;
//
// }

.senditem{
    position: relative;
    z-index: 1;
    margin: 4px auto;
    font-size: 10pt;
    width: 75%;
    &__box{
        text-align: center;
        width: 16%;
        display: inline-block;
        vertical-align: top;
        padding: 0 2%;
        color: #000000;
        cursor: pointer;
        &.select{
            .senditem__img{
                background: center no-repeat url(./../static/images/sendItem/box_select.png);
            }
        }
        &.inactive {
            filter: grayscale(1);
            cursor: no-drop;
        }
        span {
            position: absolute;
            bottom: 20px;
            right: 19px;
            width: 25px;
        }
    }
    &__img{
        position: relative;
        width: 98px;
        height: 98px;
        margin: 0 auto;
        // width: 66px;
        // height: 66px;
        // margin: 12px auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

.board{
    position: relative;
    width: 85%;
    margin: 0 auto;
    text-align: center;
    &__img{
        margin: 10px 1.5%;
        width: 17%;
        display: inline-block;
        vertical-align: middle;
        filter: grayscale(0);
        &--active {
            filter: grayscale(0) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 1px brown ) drop-shadow(0px 0px 10px yellow );
        }
        &--inactive {
            filter: grayscale(1);
        }
        &--rnd0infinite { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd8infinite { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd9infinite { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }

        &--rnd0 { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1 { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2 { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3 { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4 { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5 { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6 { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7 { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd8 { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd9 { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--selected { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }
    }
}
